#!/bin/bash
#
# See debian/README.source for explanation.
#

echo confbuildinst.sh $1 $2
# $2 is copyed to another names, because the following gildas-env.sh
# messes everything.
exedirectory=$2
if [ `dpkg-architecture -qDEB_BUILD_ARCH` == "amd64" ]; then
        tunecpu=skylake
	archstr=x86_64
else
        tunecpu=pentium4
	archstr=pc
fi
CFLAGS=-g -O2 -mtune=$tunecpu
FFLAGS=$CFLAGS
GAG_CFLAGS=$CFLAGS
GAG_FFLAGS=$CFLAGS
export CFLAGS FFLAGS GAG_CFLAGS GAG_FFLAGS

#export exedirectory
cd $1
source admin/gildas-env.sh
echo make
make
echo GAG_CFLAGS $GAG_CFLAGS
echo make install
make install
cd ..
chmod a+x $exedirectory/$archstr-ubuntu22.04-gfortran/python/pgutils.py
chmod a+x $exedirectory/$archstr-ubuntu22.04-gfortran/python/linedb/progressbar.py
chmod a-x $exedirectory/pro/fit_flux.map
chmod a-x $exedirectory/$archstr-ubuntu22.04-gfortran/tasks/uv_mapold.init
chmod a-x $exedirectory/$archstr-ubuntu22.04-gfortran/tasks/uv_fcct.init
cat > gildas.sh <<EOF
# This configuration file may be overwritten in each
# version update of gildas.  If changes are needed,
# please ask help from Pekko Metsä <pekko.metsa@helsinki.fi>.
export GAG_ROOT_DIR=/opt/astro/gildas/$exedirectory
export GAG_EXEC_SYSTEM=$archstr-ubuntu22.04-gfortran
export LD_LIBRARY_PATH=\$GAG_ROOT_DIR/\$GAG_EXEC_SYSTEM/lib:\$LD_LIBRARY_PATH
[ -d \$GAG_ROOT_DIR ] && . \$GAG_ROOT_DIR/etc/bash_profile
EOF
